> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abacco.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar procesos de nómina

Procesos por período con `status`, `closed_at`, `paid_at` y `totals` (haberes, descuentos, líquido).


## OpenAPI

````yaml GET /payroll/runs/
openapi: 3.0.0
info:
  title: API de Abacco
  version: 1.0.0
  description: API publica de Abacco (Api-Key).
servers:
  - url: https://api.abacco.ai/v1
    description: Produccion
security:
  - apiKeyAuth: []
paths:
  /payroll/runs/:
    get:
      tags:
        - Remuneraciones
      summary: Listar procesos de nomina
      operationId: listPayrollRuns
      parameters:
        - name: master_entity_id
          in: query
          required: true
          schema:
            type: string
          description: Id opaco (eid_...) o entero de la empresa
        - name: period
          in: query
          schema:
            type: string
          description: Periodo YYYYMM (ej. 202607)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/PayrollRun'
components:
  schemas:
    PayrollRun:
      type: object
      properties:
        id:
          type: string
        period:
          type: string
          example: '202607'
        status:
          type: string
        closed_at:
          type: string
          format: date-time
          nullable: true
        paid_at:
          type: string
          format: date-time
          nullable: true
        totals:
          type: object
          additionalProperties: true
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API Key para autenticación. Debe proporcionarse en el header
        Authorization con el formato: 'Api-Key YOUR-API-KEY' (incluye el prefijo
        'Api-Key ' seguido de tu API key)

````